{
  "summary": {
    "generated_at": "2026-01-05T05:56:41Z",
    "total_nodes": 12,
    "reachable_count": 11,
    "authorized_ok_count": 11,
    "chainid_match_count": 11,
    "netversion_match_count": 11,
    "min_block": 600172,
    "max_block": 600172,
    "block_spread": 0,
    "port": 8545,
    "timeout_s": 4.0,
    "threads": 12,
    "host_header_candidates": [
      "localhost",
      "127.0.0.1",
      "rpc-http-pub.d-bis.org",
      "rpc.d-bis.org",
      "rpc2.d-bis.org",
      "rpc.public-0138.defi-oracle.io"
    ]
  },
  "nodes": [
    {
      "vmid": "2400",
      "ip": "192.168.11.240",
      "name": "thirdweb-rpc-1",
      "group": "thirdweb",
      "url": "http://192.168.11.240:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 227.83871900173835,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x9",
        "peer_count": 9,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 16.06086537867668
      },
      "timings_ms": {
        "eth_chainId": 21.552369988057762,
        "net_version": 13.266510009998456,
        "web3_clientVersion": 30.114485998637974,
        "eth_blockNumber": 6.083747022785246,
        "eth_syncing": 18.53096400736831,
        "net_peerCount": 11.280105012701824,
        "eth_getBlockByNumber_latest": 9.81782199232839,
        "eth_gasPrice": 17.840918997535482,
        "txpool_status": 13.43178900424391
      }
    },
    {
      "vmid": "2401",
      "ip": "192.168.11.241",
      "name": "thirdweb-rpc-2",
      "group": "thirdweb",
      "url": "http://192.168.11.241:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 205.07312801782973,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 24.710651494388003
      },
      "timings_ms": {
        "eth_chainId": 9.41357298870571,
        "net_version": 32.647807005560026,
        "web3_clientVersion": 16.499453980941325,
        "eth_blockNumber": 19.684709986904636,
        "eth_syncing": 18.09850599966012,
        "net_peerCount": 20.397412998136133,
        "eth_getBlockByNumber_latest": 31.5637240128126,
        "eth_gasPrice": 49.380024982383475,
        "txpool_status": 12.760951998643577
      }
    },
    {
      "vmid": "2402",
      "ip": "192.168.11.242",
      "name": "thirdweb-rpc-3",
      "group": "thirdweb",
      "url": "http://192.168.11.242:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 211.31007297663018,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 19.798767010797746
      },
      "timings_ms": {
        "eth_chainId": 9.523557993816212,
        "net_version": 9.768103016540408,
        "web3_clientVersion": 6.653011019807309,
        "eth_blockNumber": 25.47110102022998,
        "eth_syncing": 50.65491600544192,
        "net_peerCount": 27.7380500047002,
        "eth_getBlockByNumber_latest": 11.744603019906208,
        "eth_gasPrice": 16.836794005939737,
        "txpool_status": 14.626771997427568
      }
    },
    {
      "vmid": "2500",
      "ip": "192.168.11.250",
      "name": "besu-rpc-1",
      "group": "public",
      "url": "http://192.168.11.250:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 219.3917219992727,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 16.634593626804417
      },
      "timings_ms": {
        "eth_chainId": 38.856130006024614,
        "net_version": 13.944850012194365,
        "web3_clientVersion": 26.62700499058701,
        "eth_blockNumber": 9.862909006187692,
        "eth_syncing": 5.577538016950712,
        "net_peerCount": 18.25095000094734,
        "eth_getBlockByNumber_latest": 6.361376988934353,
        "eth_gasPrice": 13.595989992609248,
        "txpool_status": 9.64405300328508
      }
    },
    {
      "vmid": "2501",
      "ip": "192.168.11.251",
      "name": "besu-rpc-2",
      "group": "public",
      "url": "http://192.168.11.251:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 244.45289201685227,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 16.86114462063415
      },
      "timings_ms": {
        "eth_chainId": 15.75318499817513,
        "net_version": 14.980658976128325,
        "web3_clientVersion": 11.139776004711166,
        "eth_blockNumber": 26.99268001015298,
        "eth_syncing": 20.760563988005742,
        "net_peerCount": 14.084321999689564,
        "eth_getBlockByNumber_latest": 14.308476005680859,
        "eth_gasPrice": 16.86949498252943,
        "txpool_status": 12.304862990276888
      }
    },
    {
      "vmid": "2502",
      "ip": "192.168.11.252",
      "name": "besu-rpc-3",
      "group": "public",
      "url": "http://192.168.11.252:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 208.47921699169092,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 18.75787887183833
      },
      "timings_ms": {
        "eth_chainId": 8.677512989379466,
        "net_version": 29.64984899153933,
        "web3_clientVersion": 8.193088986445218,
        "eth_blockNumber": 15.111321001313627,
        "eth_syncing": 14.538944000378251,
        "net_peerCount": 5.320677999407053,
        "eth_getBlockByNumber_latest": 9.467705007409677,
        "eth_gasPrice": 59.103931998834014,
        "txpool_status": 10.489510983461514
      }
    },
    {
      "vmid": "2503",
      "ip": "192.168.11.253",
      "name": "besu-rpc-ali-0x8a",
      "group": "public",
      "url": "http://192.168.11.253:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 225.65743399900384,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 14.146130371955223
      },
      "timings_ms": {
        "eth_chainId": 25.516241003060713,
        "net_version": 10.651196003891528,
        "web3_clientVersion": 12.583367992192507,
        "eth_blockNumber": 14.828227984253317,
        "eth_syncing": 10.799223993672058,
        "net_peerCount": 10.374976001912728,
        "eth_getBlockByNumber_latest": 12.586223980179057,
        "eth_gasPrice": 15.82958601647988,
        "txpool_status": 7.3413189966231585
      }
    },
    {
      "vmid": "2504",
      "ip": "192.168.11.254",
      "name": "besu-rpc-ali-0x1",
      "group": "public",
      "url": "http://192.168.11.254:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 254.37782000517473,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 27.833737251057755
      },
      "timings_ms": {
        "eth_chainId": 48.10709599405527,
        "net_version": 94.15076900040731,
        "web3_clientVersion": 17.131117987446487,
        "eth_blockNumber": 11.143627983983606,
        "eth_syncing": 12.03295701998286,
        "net_peerCount": 9.153426013654098,
        "eth_getBlockByNumber_latest": 14.583117997972295,
        "eth_gasPrice": 16.367786010960117,
        "txpool_status": 5.9276759857311845
      }
    },
    {
      "vmid": "2505",
      "ip": "192.168.11.201",
      "name": "besu-rpc-luis-0x8a",
      "group": "named",
      "url": "http://192.168.11.201:8545",
      "host_header_used": null,
      "reachable": false,
      "authorized": false,
      "probe": {
        "ok": false,
        "latency_ms": 4008.609736978542,
        "error": "exception:TimeoutError:timed out",
        "response": null
      },
      "checks": {},
      "timings_ms": {}
    },
    {
      "vmid": "2506",
      "ip": "192.168.11.202",
      "name": "besu-rpc-luis-0x1",
      "group": "named",
      "url": "http://192.168.11.202:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 219.82959998422302,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 23.17080638022162
      },
      "timings_ms": {
        "eth_chainId": 31.97994502261281,
        "net_version": 16.235525981755927,
        "web3_clientVersion": 9.69430201803334,
        "eth_blockNumber": 16.570335981668904,
        "eth_syncing": 25.09519300656393,
        "net_peerCount": 14.705233013955876,
        "eth_getBlockByNumber_latest": 17.03196601010859,
        "eth_gasPrice": 54.05395000707358,
        "txpool_status": 10.669457988115028
      }
    },
    {
      "vmid": "2507",
      "ip": "192.168.11.203",
      "name": "besu-rpc-putu-0x8a",
      "group": "named",
      "url": "http://192.168.11.203:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 215.33457800978795,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 37.42030237481231
      },
      "timings_ms": {
        "eth_chainId": 190.7424739911221,
        "net_version": 22.99511301680468,
        "web3_clientVersion": 10.65311799175106,
        "eth_blockNumber": 13.285104010719806,
        "eth_syncing": 8.150606998242438,
        "net_peerCount": 11.790935008320957,
        "eth_getBlockByNumber_latest": 13.044202991295606,
        "eth_gasPrice": 28.700864990241826,
        "txpool_status": 10.010012978455052
      }
    },
    {
      "vmid": "2508",
      "ip": "192.168.11.204",
      "name": "besu-rpc-putu-0x1",
      "group": "named",
      "url": "http://192.168.11.204:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 230.73009299696423,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x7",
        "peer_count": 7,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 27.58108049602015
      },
      "timings_ms": {
        "eth_chainId": 30.50588897895068,
        "net_version": 11.400599993066862,
        "web3_clientVersion": 9.01190098375082,
        "eth_blockNumber": 22.5563200074248,
        "eth_syncing": 43.59814300551079,
        "net_peerCount": 26.097241992829368,
        "eth_getBlockByNumber_latest": 19.324168999446556,
        "eth_gasPrice": 58.15438000718132,
        "txpool_status": 9.76467298460193
      }
    }
  ]
}